Bug 1264265 - Enter key does not work on Grub console if keymap is changed
Summary: Enter key does not work on Grub console if keymap is changed
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-18 04:58 UTC by fujiwara
Modified: 2019-11-27 18:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:06:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNU Savannah 46135 None None None Never

Description fujiwara 2015-09-18 04:58:19 UTC
I have grub2-2.02-0.23.fc23.x86_64

To reproduce:
1. Install ckbcomp which is called by grub2-kbdcomp internally.
# dnf install console-setup
# rpm -q console-setup
console-setup-1.128-1.fc23.noarch

2. Create jp keyboard.
# mkdir /boot/grub2/layouts
# grub2-kbdcomp -o /boot/grub2/layouts/jp.gkb jp
Unknown keyboard scan code 0x54
Unknown keyboard scan code 0x65
Unknown keyboard scan code 0x7f

3. Modify grub.cfg to enable jp keymap.
# diff -urNp /etc/default/grub.orig /etc/default/grub
--- /etc/default/grub.orig
+++ /etc/default/grub
@@ -3,5 +3,6 @@ GRUB_DISTRIBUTOR="$(sed 's, release .*$,
 GRUB_DEFAULT=saved
 GRUB_DISABLE_SUBMENU=true
 GRUB_TERMINAL_OUTPUT="console"
+GRUB_TERMINAL_INPUT="at_keyboard"
 GRUB_CMDLINE_LINUX="rhgb quiet"
 GRUB_DISABLE_RECOVERY="true"

# cat /boot/grub2/custom.cfg 
insmod keylayouts
keymap jp

# grub2-mkconfig -o /boot/grub2/grub.cfg

# reboot

4. Enter 'e' to edit boot parameters in Grub console.

5. Append ' vga=ask 3' in vmlinuz boot line and press Ctrl+x to boot Fedora.
    linux16 /boot/vmlinuz-4.2.0-300.fc23.x86_64 ... LANG=ja_JP.UTF-8 vga=ask 3

3. Try to press Enter key on VGA asking screen:
Press <ENTER> to see video modes available, <SPACE> to continue, or wait for 30 seconds

I cannot input Enter key.

This problem does not happen if I don't change the keymap.

If typing is changed to capital after '=' is typed, Shift+~ can revert it.

Comment 1 Fedora End Of Life 2016-11-24 12:32:09 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-02-28 09:49:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Bhushan Barve 2018-02-23 08:57:56 UTC
Checked with F27. Was able to hit 'Enter' key on VGA asking screen.
Closing it.

Comment 4 fujiwara 2018-02-23 09:42:55 UTC
Should be reproduced in f27.

Comment 5 Jan Kurik 2018-08-14 10:23:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 6 Ben Cotton 2019-10-31 20:51:30 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Jens Petersen 2019-11-19 06:24:13 UTC
If it is desired to keep this bug open better to mark it FutureFeature.

Comment 8 fujiwara 2019-11-25 04:10:59 UTC
(In reply to Jens Petersen from comment #7)
> If it is desired to keep this bug open better to mark it FutureFeature.

I don't mind rawhide or 31. I'm not the bug owner. I don't think this is a feature or RFE.

Comment 9 Ben Cotton 2019-11-27 18:06:58 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.